package com.tuoheng.admin.service;

import com.tuoheng.admin.entity.domain.ThInspection;
import com.tuoheng.admin.entity.domain.ThMission;
import com.tuoheng.admin.entity.request.InspectionRequest;
import com.tuoheng.admin.entity.request.PushAndPullURLRequest;
import com.tuoheng.admin.entity.vo.*;
import com.tuoheng.common.common.IBaseService;
import com.tuoheng.common.exception.ServiceException;
import com.tuoheng.common.utils.JsonResult;

import java.io.UnsupportedEncodingException;
import java.util.List;

/**
 * @User qiujinyang
 * @Description
 * @Date Created by 2022/7/28 9:37
 */

public interface IThInspectionService extends IBaseService<ThInspection> {

    List<InspectionVO> track(Integer id);

    Integer track(InspectionRequest inspectionRequest) throws ServiceException;

    List<AirPortVO> airport() throws ServiceException, UnsupportedEncodingException;

    List<AirLineVO> airLine(Integer droneId) throws ServiceException;

    AirWeatherVO getWeather(Integer airportId);

    JsonResult executeTask(String missionId,PushAndPullURLRequest pushAndPull) throws ServiceException;

    JsonResult lineTrack(Integer missionId);

    JsonResult fightData(Integer id);

}
